
/*.workspace{
  background-color: white;
}*/

.content_detail {
  margin:0 auto;
}

.form_quote {
  width: 100%;
  background-color: white;
  align-items: center;
  position: relative;
  vertical-align: middle;
  border-color: 1px solid black;
  border-radius: 10px;
  box-shadow: 0 2px 6px 0 rgba(0, 0, 0, 0.2), 0 6px 12px 0 rgba(0, 0, 0, 0.19); 
  padding: 8px;
  padding-right: 10px;
  padding-bottom: 30px;
}
 
.form_quote > .content {
  position: relative;
  margin: 30px 0;
  left:10px;
}
 
.ui_label {
  position: absolute;
  letter-spacing: 1px;
  top: 0;
  font-size: 12px;
  margin: 7px;
  padding: 0 10px;
  color: black;
  background-color: white;
  -webkit-transition: top .2s ease-in-out,  font-size .2s ease-in-out;
  transition: top .2s ease-in-out,  font-size .2s ease-in-out;
}
 
.ui_label.active {
  top: -15px;
  left: 4px;
  font-size: 10px;
  font-weight: 600;
  text-transform: uppercase;
}

.ui_input {
  font-family: verdana;
  width: calc(100% - 35px);
  padding: 10px 8px 7px 10px;
  border: 1px solid #C3C2C1;
  border-radius: 5px;
  font-size: 12px;
  font-weight: 700;
}


.ui_input.multi_row{
  height: 150px;
  vertical-align: text-top;
  text-align: left;
  resize: none;
}


.ui_input:focus {
  	outline: none;
    border-color: #2196F3;
  	box-shadow: 0 2px 6px 0 rgba(0, 0, 0, 0.2), 0 6px 12px 0 rgba(0, 0, 0, 0.19);	

}

/* message for dialog_form */
.app_message{
  position: fixed;
  background-color: white;
  top:100px;
  width: 400px;
  height: 180px;
  padding-top: 30px;
  padding-left: 10px;
  padding-right: 10px;
  margin:60px auto;
  font-size: 16px;
  text-align: center;
  border-radius: 10px;
  box-shadow: 0 2px 6px 0 rgba(0, 0, 0, 0.2), 0 6px 12px 0 rgba(0, 0, 0, 0.19); 
}

.ui_action.close_message{
  position: relative;
  width: 100px;
  top: -50px;
  /*left:220px;*/
  margin: 95px auto;
  /*margin-bottom: 10px;*/
}
/* for dialog form */
/* --------------- modal dialog --------------------- */
.dialog_form_body{
    overflow: hidden;
}

.dialog_form{
  display: none;
  position: absolute;
  left:0;
  top:0;
  min-width: 100%;
  min-height: 200%;
}

.dialog_form.activate{
  display: block;
  animation: fadeInDialog ease 0.8s;
  animation-iteration-count: 1;
  animation-fill-mode: forwards;  
}

.dialog_form_backdrop{
    position: absolute;
    left:0;
    top:0;
    min-width: 100%;
    min-height: 200%;

    background: black;
    opacity:0.5;  
}

.dialog_form_container{
    display: none;
    position: relative;
    margin:0px auto;  

    overflow: auto;
    width: 100%;
    height: 200%;
    opacity: 0;
}

.dialog_form_container.activate{
  display: block;
  animation: fadeInDialog ease 0.8s;
  animation-iteration-count: 1;
  animation-fill-mode: forwards;  
}

@keyframes fadeInDialog {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
     }
}

